
// JavaScript Document
var web_doc_alias = '';
$(document).ready(function(){
	web_doc_alias = $('#web_doc_alias').val();

	// 22/03/24追加 指名船未申請時はメール送信ボタンを押せなくする
	if($('#spnShinsei').text() === ""){
		$('#btnMailShimei').prop('disabled',true);
	}
	
    //戻る
	$('#btnCancel').on('click',function(){
		modalAlert('1','確認','入力が取り消されますが、よろしいですか？',callbackCancel);
	});

    //請求情報入力に戻る
    $('#btnSeikyu').on('click',function(){
		$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
        $('#prgname').val('A110');
        $('#param1').val($('#kubun').val());
        $('#param2').val($('#k_order_no').val());
        $('#param3').val('1');
        $('#menuForm').submit();
    })

    //本船情報入力に戻る
    $('#btnHonsen').on('click',function(){
		$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
        $('#prgname').val('A112');
        $('#param1').val($('#kubun').val());
        $('#param2').val($('#k_order_no').val());
        $('#menuForm').submit();
    })

    //嚮導情報入力に戻る
    $('#btnKyodo').on('click',function(){
		$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
        $('#prgname').val('A114');
        $('#param1').val($('#kubun').val());
        $('#param2').val($('#k_order_no').val());
        $('#menuForm').submit();
    })

    //航路通報入力に戻る
    $('#btnKouro').on('click',function(){
		$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
        $('#prgname').val('A116');
        $('#param1').val($('#kubun').val());
        $('#param2').val($('#k_order_no').val());
        $('#menuForm').submit();
    })

    //水先依頼書メール取得
    $('#btnMailMizusaki').on('click',function(){
		/*
        $('#prgname').val('A138');
        $('#param1').val($('#k_order_no').val());
        $('#param2').val('0');
        $('#param3').val('0');
        $('#menuForm').submit();
		*/
		modalAlert('1','メール取得','水先依頼書(PDF)を登録アドレスにメールで送信します。',sendMail,'0');
    })

    //指名申込書メール取得
    $('#btnMailShimei').on('click',function(){
		/*
        $('#prgname').val('A138');
        $('#param1').val($('#k_order_no').val());
        $('#param2').val('0');
        $('#param3').val('1');
        $('#menuForm').submit();
		*/
		modalAlert('1','メール取得','指名申込書(PDF)を登録アドレスにメールで送信します。',sendMail,'1');
    })

    //閉じる
    $('#btnClose').on('click',function(){
        window.close();
    })

	//一時保存
	$('#btnSave').on('click',function(){
		updateMizusakiIrai('1');
	});

	//仮登録
	$('#btnNext').on('click',function(){
		updateMizusakiIrai('2');
	});

	//前画面へ戻る
	$('#btnBack').on('click',function(){
		updateMizusakiIrai('3');
	});

});

//更新処理
function updateMizusakiIrai(syoriKbn){
	var param = {
		'appname': nasiappname,
		'prgname':'A119',
		'param1': nasiappname,
		'param2': $('#ssid').val(),
		'param3': $('#kubun').val(),
		'param4': syoriKbn,
		'param5': $('#k_order_no').val(),
		'param6': $('#hdnKoro').val(),
		'arguments':'param1,param2,param3,param4,param5,param6'
	};
	var retXml = ajaxFunction(param);
	var kekka = $(retXml).find('ret').text();
	var newSsid = $(retXml).find('ssid').text();
	var koroF = $(retXml).find('koroF').text();
	var kariUpdate = $(retXml).find('kariUpdate').text();
	var josenErr = $(retXml).find('josenErr').text();
	var shimeiErr = $(retXml).find('shimeiErr').text();
	if(kekka === 'I001'){
		if(syoriKbn === '1'){
			$('#prgname').val('A130');
			$('#ssid').val(newSsid);
			$('#menuForm').submit();
		}else if(syoriKbn === '2' && josenErr =='0' && shimeiErr == '0'){
            if(kariUpdate =='0'){
                $('#prgname').val('A120');
                $('#ssid').val(newSsid);
                $('#param1').val($('#kubun').val());
                $('#param2').val($('#k_order_no').val());
                $('#menuForm').submit();
            }else {
				$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
                $('#prgname').val('A133');
                $('#ssid').val(newSsid);
                $('#param1').val($('#k_order_no').val());
                $('#param2').val($('#kubun').val());
                $('#param3').val(kariUpdate);
                $('#menuForm').submit();    
            }
        }else if(syoriKbn == '2' && josenErr != '0'){
			$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
            $('#prgname').val('A114');
            $('#ssid').val(newSsid);
            $('#param1').val($('#kubun').val());
            $('#param2').val($('#k_order_no').val());
            $('#param3').val(josenErr);
            $('#param4').val('乗船日時が引受基準の期間を外れています。');
            $('#menuForm').submit();
        }else if(syoriKbn == '2' && shimeiErr != '0'){
			$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
			$('#prgname').val('A114');
			$('#ssid').val(newSsid);
			$('#param1').val($('#kubun').val());
			$('#param2').val($('#k_order_no').val());
            $('#param3').val(shimeiErr);
            $('#param4').val('指名依頼の受付時間が過ぎています。');
			$('#menuForm').submit();
		}else if(syoriKbn === '3'){
            if(koroF != '1'){
				$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
                $('#prgname').val('A114');
                $('#ssid').val(newSsid);
                $('#param1').val($('#kubun').val());
                $('#param2').val($('#k_order_no').val());
                $('#param3').val('');
                $('#param4').val('');
                $('#menuForm').submit();
            }else{
				$('#arguments').val('paramAppName,ssid,parentPG,param1,param2,param3,param4,param5,param6,param7,param8,param9,param10');
                $('#prgname').val('A116');
                $('#ssid').val(newSsid);
                $('#param1').val($('#kubun').val());
                $('#param2').val($('#k_order_no').val());
                $('#param3').val('');
                $('#param4').val('');
                $('#menuForm').submit();
            }
		}
	}
}

function callbackCancel(){
	/* 2022/03/18 戻るボタンで遷移する先をトップページに変更
	$('#prgname').val('A130');
	$('#menuForm').submit();
	*/
	$('#prgname').val($('#parentPG').val());
	$('#param1').val('0');
	$('#menuForm').submit();
}

function sendMail(mailKbn){
	var param = {
		'appname': nasiappname,
		'prgname':'A138',
		'param1': nasiappname,
		'param2': $('#ssid').val(),
		'param3': $('#k_order_no').val(),
		'param4': mailKbn,
		'arguments':'param1,param2,param3,param4'
	};
	var retXml = ajaxFunction(param);
	var kekka = $(retXml).find('ret').text();
	if(kekka === 'I001'){
		modalAlert('0','メール取得','メール送信を受け付けました。',callbackSendMail);
	}else if(kekka === 'E001' ){
		// セッションエラーを表示
		$('#prgname').val('A040');
		$('#menuForm').submit();
	}
}
function callbackSendMail(){
	window.close();
}
